Name:    xf86-video-psb           
Version: 5.1.0.0112
Epoch: 1
Release: 1.3.moblin2
Summary: X driver for Intel Poulsbo graphics chipsets

Group:   Graphics
License: MIT
Source: xf86-video-psb-src.5.1.0.0112.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-build     

BuildRequires: pkgconfig xorg-x11-server-devel libXi-devel
BuildRequires: xorg-x11-server-devel xorg-x11-proto-xproto xorg-x11-proto-randrproto xorg-x11-proto-renderproto xorg-x11-proto-xf86driproto
BuildRequires: xorg-x11-proto-fontsproto xorg-x11-proto-xf86dgaproto xorg-x11-proto-videoproto  xorg-x11-proto-inputproto xorg-x11-proto-glproto
BuildRequires: libdrm-devel xorg-x11-proto-xcmiscproto xorg-x11-proto-xextproto
BuildRequires: libICE libwsbm-devel xorg-x11-proto-dri2proto
BuildRequires: mesa-libGL-devel psb-headers
BuildRequires: 	libdrm-devel


%description
This is the X driver for Intel Poulsbo graphics chipsets.
The driver supports depths 8, 15, 16 and 24

%prep
%setup -q -n  xf86-video-psb

%build
%autogen --enable-dri2
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib
install -d $RPM_BUILD_ROOT/bin

make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name '*.la' | xargs rm -f -- || :
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/xorg/modules/drivers/psb_drv.so
%doc %{_mandir}/man4/psb.4.gz
%changelog
* Tue Jul  7 2009 Prajwal Mohan <prajwal.karur.mohan@intel.com> 5.1.0.0112
- Update to 5.1.0.0112
* Wed Jun 24 2009 Prajwal Mohan <prajwal.karur.mohan@intel.com> 1.0.10.20090618
- Update to 1.0.10.20090618_Alpha2.3
* Tue Jun 16 2009 Priya Vijayan <priya.vijayan@intel.com> 1.0.9_2.20090616
- Update to 1.0.9-2.20090616
* Thu Jun 11 2009 Priya Vijayan <priya.vijayan@intel.com> 1.0.9.20090608
- Update to snapshot 20090608
* Mon May 18 2009 Prajwal Mohan <prajwal.karur.mohan@intel.com> 0.2.0~2009514
- Added --enable-dri2 to autogen options to enable DRI2
* Fri May 15 2009 Anas Nashif <anas.nashif@intel.com> 0.2.0~2009514
- Update to latest snapshot 20090514
* Fri May  1 2009 Anas Nashif <anas.nashif@intel.com> 0.2.0~20090430
- Update to snapshot from 20090430
* Sun Apr 26 2009 Anas Nashif <anas.nashif@intel.com> 1.0.7
- Update to version 1.0.7
* Tue Apr 14 2009 Anas Nashif <anas.nashif@intel.com> 1.0.6
- Removed BuildRequires on libwsbm
* Tue Apr 14 2009 bjhueni <bret.j.hueni@intel.com> 1.0.6
- cleanup conflict markers
* Tue Apr 14 2009 bjhueni <bret.j.hueni@intel.com> 1.0.6
- display FIFO bugfix
* Mon Apr 13 2009 bjhueni <bret.j.hueni@intel.com> 1.0.6
- new package version
* Mon Mar 30 2009 bjhueni <bret.j.hueni@intel.com> 1.0.6
- adding missing requires
* Fri Mar 27 2009 Anas Nashif <anas.nashif@intel.com> 1.0.6
- Fixed BuildRequires, now use psb-headers
* Thu Mar 12 2009 Priya Vijayan <priya.vijayan@intel.com> 1.0.2
- Fixing build failure
* Wed Mar 11 2009 Priya Vijayan <priya.vijayan@intel.com> 1.0.2
- Initial Import to Moblin
